• Login
sketchucation logo sketchucation
  • Login
ℹ️ GoFundMe | Our friend Gus Robatto needs some help in a challenging time Learn More

Move vertices down to surface

Scheduled Pinned Locked Moved SketchUp Discussions
sketchup
7 Posts 3 Posters 1.0k Views
Loading More Posts
  • Oldest to Newest
  • Newest to Oldest
  • Most Votes
Reply
  • Reply as topic
Log in to reply
This topic has been deleted. Only users with topic management privileges can see it.
  • P Offline
    pbacot
    last edited by 13 May 2019, 09:00

    I want to move the edge vertices down to the surface below (in z direction). So it would be nice if I can select along an edge and have all the vertices of selected edges move to the nearest face below. Is there a plugin that does this? The two surfaces are in different contexts.

    I can do this pretty well one by one manually, but I have a number of them to do. Just wondering.


    Screen Shot 2019-05-13 at 1.56.16 AM.png

    MacOSX MojaveSketchUp Pro v19 Twilight v2 Thea v3 PowerCADD

    1 Reply Last reply Reply Quote 0
    • E Offline
      ecati
      last edited by 13 May 2019, 11:52

      If I understand correctly. If the bottom surface is flat, the Projection plugin. If not, you can use the Sandbox Drape.

      Projection plugin: https://extensions.sketchup.com/en/content/projections-and-guide-tools

      1 Reply Last reply Reply Quote 0
      • S Offline
        sdmitch
        last edited by 13 May 2019, 14:59

        
        mod = Sketchup.active_model
        ent = mod.entities
        sel = mod.selection
        SKETCHUP_CONSOLE.clear
        edgs = sel.grep(Sketchup;;Edge)
        if edgs[0]
          vers = edgs.map{|e|e.vertices}.flatten.uniq;
          vecs = []; vrts = []; axis = [0,0,-1]
          for v in vers
            p=v.position;
            h=mod.raytest([p,axis]);
            if h
              vrts << v;
              vecs << p.vector_to(h[0])
            end
          end
          ent.transform_by_vectors(vrts,vecs)
        else
          puts "select edge(s)"
        end
        
        
        

        Nothing is worthless, it can always be used as a bad example.

        http://sdmitch.blogspot.com/

        1 Reply Last reply Reply Quote 0
        • P Offline
          pbacot
          last edited by 13 May 2019, 17:30

          when I saw sdmitch on the link I got excited! Let me check it out. Thanks!

          ecati. Thanks! I don't want to copy but just move the vertices, modifying the upper surface edge. No, the lower surface is not flat at all.

          MacOSX MojaveSketchUp Pro v19 Twilight v2 Thea v3 PowerCADD

          1 Reply Last reply Reply Quote 0
          • P Offline
            pbacot
            last edited by 13 May 2019, 19:00

            sdmitch: It worked awesomely. Thank you! What can I do in return?

            MacOSX MojaveSketchUp Pro v19 Twilight v2 Thea v3 PowerCADD

            1 Reply Last reply Reply Quote 0
            • S Offline
              sdmitch
              last edited by 13 May 2019, 19:55

              @pbacot said:

              sdmitch: It worked awesomely. Thank you! What can I do in return?

              You're welcome. Nothing.

              Nothing is worthless, it can always be used as a bad example.

              http://sdmitch.blogspot.com/

              1 Reply Last reply Reply Quote 0
              • P Offline
                pbacot
                last edited by 13 May 2019, 20:10

                Great skilz! Thanks!

                MacOSX MojaveSketchUp Pro v19 Twilight v2 Thea v3 PowerCADD

                1 Reply Last reply Reply Quote 0
                • 1 / 1
                1 / 1
                • First post
                  6/7
                  Last post
                Buy SketchPlus
                Buy SUbD
                Buy WrapR
                Buy eBook
                Buy Modelur
                Buy Vertex Tools
                Buy SketchCuisine
                Buy FormFonts

                Advertisement